### Signal

# Gtk DropTarget::drop

#### Declaration

    gboolean
    drop (
      GtkDropTarget* self,
      const GValue* value,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when the user drops the data onto the widget.

The signal handler must determine whether the pointer position is in a drop zone or not. If it is not in a drop zone, it returns `FALSE` and no further processing is necessary.

Otherwise, the handler returns `TRUE`. In this case, this handler will accept the drop. The handler is responsible for using the given `value` and performing the drop operation.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`value`

  Type: `GValue`

  The `GValue` being dropped.

  The data is owned by the caller of the function.

`x`

  Type: `gdouble`

  The x coordinate of the current pointer position.

`y`

  Type: `gdouble`

  The y coordinate of the current pointer position.

#### Return value

Type: `gboolean`

Whether the drop was accepted at the given pointer position.